services:
  fjerbi\BlogBundle\:
    resource: '../../*'
    exclude: '../../{DependencyInjection,Entity,Migrations,Tests}'

  fjerbi\BlogBundle\Controller\:
    resource: '../../Controller'
    tags: ['controller.service_arguments']

  fjerbi\BlogBundle\EventSubscriber\ViewSubscriber:
    tags:
      - { name: kernel.event_subscriber }
    arguments:
      ['@Doctrine\ORM\EntityManagerInterface']

  fjerbi\BlogBundle\Twig\BlogExtension:
    tags: ['twig.extension']

  fjerbi\BlogBundle\Twig\BlogRuntime:
    tags: ['twig.runtime']